Subject: Re: [Mpi3-tools] Reminder: next tools WG Meeting Monday 7/19 (tomorrow) - topic: MPIR
From: John DelSignore <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 19 Jul 2010 09:00:18 -0600

Hi Marc-André,

My initial replies in-line below...

Marc-André Hermanns wrote:
> Hi all,
> 
> as I am quite inexperienced with the implementation and use of debugging interfaces I have been more silent about the MPIR discussion, yet, I wanted to raise some questions. I apologize when the answers might seem obvious.
> 
> =======
> 
> Page 7/8, Par. 1:
> …after it has set MPIR_debug_state to MPIR_DEBUG_SPAWNED and …
> 
> Should the variable have an initial state? MPIR_NULL?

I think that it doesn't matter. The only time that the tool should look at the variable is when the starter process calls MPIR_Breakpoint().

> =======
> 
> Page 8, Par. 3:
> …, and avoid defining MPIR_debug_gate in the MPI processes.
> 
> What does avoid mean? Is it still ok to do so? If it is ok, why should it be avoided? When it is not ok, why not prohibit it?

We plan to discuss this in more detail during the call today. Dong Ahn and I have discussed this issue in email near the end of June.

> =======
> 
> Page 11, Par. 3 + 6:
> If MPIR_Breakpoint exists the tool should consider this a starter process …
> if MPIR_i_am_starter ist not defined ….
> 
> why are there two variables/symbols that seem to do the same thing?

Because MPI process 0 may also be a starter process, as was done in MPICH 1.

> =======
> 
> Page 18, Par. 10:
> …is a symbol of any kind, preferably an int, ….
> 
> If it can be any kind, why prefer an int? Why not require it to be an int?

Because its type doesn't matter, only its definition.

> =======
> 
> In general:
> - Some symbols are evaluated for existence or non-existence, yet others have a state (1 or 0). Why?

Existence or non-existence is a static property, whereas state (1 or 0) is a dynamic property.

Cheers, John D.

> Best regards,
> Marc-Andre
> 
> On 18.07.2010, at 23:27, Martin Schulz wrote:
> 
>> Just as a reminder: the next MPI tools WG meeting will be tomorrow morning at 8am PDT,
>> 11am EDT, 5pm MSZ. The main item on the agenda is the discussion on the MPIR
>> document that John has put together.
>>
>> The link to the Webex session is on the tools wiki and below:
>> https://cisco.webex.com/ciscosales/j.php?ED=144317932&UID=0&PW=NYjk1YmJhZGEz&RT=MiMxMQ%3D%3D
>> Password: tools
>>
>> The latest version of the MPIR document is attached.
>>
>> Martin
>>
>> <MPIR Process Acquisition Interface 2010-06-11.pdf>
>> ________________________________________________________________________
>> Martin Schulz, [email-masked], http://people.llnl.gov/schulzm
>> CASC @ Lawrence Livermore National Laboratory, Livermore, USA
>>
>>
>>
>> _______________________________________________
>> Mpi3-tools mailing list
>> [email-masked]
>> http://lists.mpi-forum.org/mailman/listinfo.cgi/mpi3-tools
> 
> --
> Marc-Andre Hermanns
> German Research School for
> Simulation Sciences GmbH
> c/o Laboratory for Parallel Programming
> 52056 Aachen | Germany
> 
> Tel +49 241 80 99753
> Fax +49 241 80 6 99753
> Web www.grs-sim.de
> 
> Members: Forschungszentrum Jülich GmbH | RWTH Aachen University
> Registered in the commercial register of the local court of
> Düren (Amtsgericht Düren) under registration number HRB 5268
> Registered office: Jülich
> Executive board: Prof. Dr. Heiner Müller-Krumbhaar | Prof. Marek Behr, Ph.D.
> 
>